.sidebar {
    top: 0;
    z-index: 300;
    position: sticky;
    border-radius: rem(4);
    background: var(--gray-5);
    transition: top .15s ease;

    &__header {
        color: white;
        height: rem(47);
        padding: rem(8) rem(16);
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        background: var(--blue);
        text-transform: uppercase;
        border-radius: rem(4) rem(4) 0 0;
//        border-bottom: 1px solid var(--gray-10);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__item {
        z-index: 300;
        position: relative;
        border-left: 1px solid var(--gray-10);
        border-right: 1px solid var(--gray-10);
    //    border-bottom: 1px solid var(--gray-10);

        &:last-child {
            border-radius: 0 0 rem(4) rem(4);
            border-bottom: 1px solid var(--gray-10);
        }

        &.open {

            .sidebar {

                &__link {
                //    background: white;

                    i {
                        transform: rotate(0deg);
                        transition: var(--transition-time);
                    }
                }
            }
        }

        .sidebar__item {
            border: none;
        }

        &:last-child {

            .sidebar__link {
                border-radius: 0 0 rem(4) rem(4);
            }
        }
    }

    &__group {
        position: relative;

        &:hover {

            .sidebar__vendors {
                opacity: 1;
                visibility: visible;
                transition-property: opacity, visibility;
                transition-delay: 0.5s;
                transition-duration: .2s;
            }

            .sidebar__child {
                background-color: white;
            }

            .sidebar__link {
                background-color: white;
            }
        }
    }

    &__link {
        min-height: rem(48);
        padding: rem(8) rem(12) rem(8) rem(16);
        border-top: 1px solid var(--gray-10);
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        fill: var(--gray-60);
        color: var(--gray-80);
        text-decoration: none;
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:hover {
            fill: var(--gray-60);
            color: var(--gray-80);
            text-decoration: none;
            background-color: white;
            transition: var(--transition-time);
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            flex-shrink: 0;
            transform: rotate(180deg);
            transition: var(--transition-time);
        }

        &.active {
            fill: #00A5FF;
            color: #00A5FF;
        }

    }

    &__children {
        display: none;
        font-size: rem(13);
        line-height: rem(20);
    //    background: white;
        padding: 0;

        .sidebar__item {
            border-bottom: none;

            &:not(:last-child) {
           //     border-bottom: 1px solid var(--gray-5);
            }
        }
    }

    &__child {
        display: flex;
        align-items: center;
        min-height: rem(32);
        padding: rem(2) rem(16);
        color: var(--gray-60);
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: var(--gray-60);
            text-decoration: none;
            background-color: white;
            transition: var(--transition-time);
        }
    }

    &__vendors {
        top: 0;
        left: 100%;
        z-index: 500;
        position: absolute;
        opacity: 0;
        visibility: hidden;
        transition-property: opacity, visibility;
        transition-delay: 0.5s;
        transition-duration: .2s;
    }
}

.fixed-header {

    .sidebar {
        top: rem(80);
        transition: top .15s ease;
    }
}

.vendors-nav {
    width: rem(978);
  //  min-height: rem(276);
    padding: rem(8);
    border-radius: 0 rem(4) rem(4) rem(4);
    background-color: white;
    border: 1px solid var(--gray-10);
    box-shadow: var(--shadow);

    &__row {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    &__link {
        font-size: rem(13);
        line-height: rem(20);
        cursor: pointer;
        min-height: rem(48);
        color: var(--gray-80);
        padding: rem(5) rem(8);
        border-radius: rem(4);
        text-decoration: none;
        background-color: white;
        border: 1px solid white;
        transition: var(--transition-time);
        display: flex;
        column-gap: rem(8);
        align-items: center;

        &:hover {
            color: var(--gray-80);
            border-color: var(--gray-10);
            background-color: var(--gray-5);

            .vendors-nav {

                &__logo {
                    opacity: 1;
                    filter: grayscale(0%);
                }
            }
        }
    }

    &__logo {
        width: 56px;
        opacity: .8;
        display: block;
        flex-shrink: 0;
        filter: grayscale(100%);
    }

    &__content {
        display: flex;
        justify-content: center;
        flex-direction: column;
    }

    &__title {
        display: block;
    }

    &__text {
        display: block;
        color: var(--gray-40);
        font-size: rem(12);
        line-height: rem(16);
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {
        width: rem(1020);
    }
}
